| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Pike

# Method Pike.get_runtime_info()

Method get_runtime_info

  `mapping(string:int|string) get_runtime_info()`

Description

  Get information about the Pike runtime.

Returns

  Returns a mapping with the following content:

  `"bytecode_method" : string` | A string describing the bytecode method used by the Pike interpreter.
  `"abi" : int` | The number of bits in the ABI. Usually `32` or `64`.
  `"native_byteorder" : int` | The byte order used by the native cpu. Usually `1234` (aka little endian) or `4321` (aka bigendian).
  `"int_size" : int` | The number of bits in the native integer type. Usually `32` or `64`.
  `"float_size" : int` | The number of bits in the native floating point type. Usually `32` or `64`.
  `"auto_bignum" : int(0..1)` | Present if integers larger than the native size are automatically converted into bignums.